> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getDeductionDescription

> 
The `getDeductionDescription` API retrieves available deduction identifiers that can be used in payroll processing to indicate employee contributions and voluntary withholdings.

### What it does:

- Returns a list of identifiers for different deduction programs which employees may subscribe to (Life Insurance, 401K, Vision Insurance etc.)
- Provides information for non-tax withholdings which decrease an employees gross pay



## OpenAPI

````yaml get /reports/getDeductionDescription
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getDeductionDescription:
    get:
      tags: []
      summary: getDeductionDescription
      description: >-

        The `getDeductionDescription` API retrieves available deduction
        identifiers that can be used in payroll processing to indicate employee
        contributions and voluntary withholdings.


        ### What it does:


        - Returns a list of identifiers for different deduction programs which
        employees may subscribe to (Life Insurance, 401K, Vision Insurance etc.)

        - Provides information for non-tax withholdings which decrease an
        employees gross pay
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getUser
              required:
                - method
            example:
              method: getDeductionDescription
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  deductionDescription:
                    type: array
                    items:
                      type: string
                required:
                  - deductionDescription
              example:
                deductionDescription:
                  - 125Adoption Assistance Reg
                  - 125Adoption Assistance Sup
                  - 125DC Reg
                  - 125DC Sup
                  - 125FSA Reg
                  - 125FSA Sup
                  - 125HSA CU Reg
                  - 125HSA CU Sup
                  - 125HSA Reg
                  - 125HSA Sup
                  - 401K CU2 Over 50 Reg
                  - 401K CU2 Over 50 Sup
                  - 401K Deferral Reg
                  - 401K Deferral Sup
                  - 403B CU 15 year Reg
                  - 403B CU 15 year Sup
                  - 403B CU2 Over 50 Reg
                  - 403B CU2 Over 50 Sup
                  - 403B Deferral Reg
                  - 403B Deferral Sup
                  - 408K CU2 Over 50
                  - 408K CU2 Over 50 Sup
                  - 408K Deferral Reg
                  - 408K Deferral Sup
                  - 408P CU2 Over 50 Reg
                  - 408P CU2 Over 50 Sup
                  - 408P Deferral Reg
                  - 408P Deferral Sup
                  - 409A Deferral Reg
                  - 409A Deferral Sup
                  - 457 CU2 Over 50 Reg
                  - 457 CU2 Over 50 Sup
                  - 457 Deferral Reg
                  - 457 Deferral Sup
                  - 457CU Increased Limit Reg
                  - 457CU Increased Limit Sup
                  - Accident Insurance
                  - CN RPP
                  - CN RPP Sup
                  - CN RRSP Reg
                  - CN RRSP Sup
                  - CN Union Dues
                  - CN Union Dues Sup
                  - CN at Source
                  - CN at Source Sup
                  - Critical Illness Insurance
                  - Dental Insurance (Employee Contribution)
                  - Hospital Indemnity Insurance
                  - Insurance Benefits Reg
                  - Insurance Benefits Sup
                  - Life Insurance
                  - Life Insurance - Child
                  - Life Insurance - Spouse
                  - Long Term Disability (LTD) Insurance
                  - Medical Insurance (Employee Contribution)
                  - Other Supplemental Insurance
                  - Qualified Parking Reg
                  - Qualified Parking Sup
                  - Roth 401K Employee Contribution
                  - Roth 401K Reg
                  - Roth 401K Sup
                  - Short Term Disability (STD) Insurance
                  - Traditional IRA Employee Contribution
                  - Vanpool and Transit Passes Reg
                  - Vanpool and Transit Passes Sup
                  - Vision Insurance (Employee Contribution)
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: EmployeeId is Mandatory.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````